QGIS Application - Bug report #20929

QGIS not responding for very long time when using rectangle tools to edit Spatialite or OGC

GeoPackage files
2019-01-07 10:59 AM - Giang Ngo

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.3 Regression?: No

Operating System: Ubuntu 18.04.1 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28748
Description

| open Spatialite file with QGIS, enable editing, choose the "Add rectangle from extent" tool, draw a rectangle and QGIS is not responding

right after | finish the rectangle.
This case doesn't happen when | edit Shapefile.
I am using QGIS Version: 3.4.3 - Madeira, Ubuntu 18.04.

History

#1 - 2019-01-07 12:11 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please add sample data.

#2 - 2019-03-09 09:36 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Closing for lack of feedback.

Files
Screenshot from 2019-01-07 16-51-20.png 98.7 KB 2019-01-07 Giang Ngo
Screenshot from 2019-01-07 16-57-48.png 94.1 KB 2019-01-07 Giang Ngo
